未选择最优信道

04/07/2025 16:00 - 天驰 王

Status: Closed Start date: 04/07/2025

Priority: Normal Due date:  

Assignee: chuanjia liu % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本:  2b7533b8_20250401152636 复现概率: 100%

Description

步骤：

1.设置自动信道选择模式，2.4G频段带宽为20MHz，5G 80MHz

2.家庭网关上电启动，等待5分钟（等待网关完成周边WiFi扫描）；

3.通过执行dbus-send --system --type=method_call --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Config/WLAN/Devices/{i}

com.ctc.igd1.Properties.Get string:"com.ctc.igd1.WLANConfiguration"

string:"ChannelInUse"查看家庭网关自动信道选择的信道（i为2.4G-1的实例号，一般为1）；

4.运行dbus-monitor --system &,观察网关发出的信号；

5.通过执行gdbus call --system -d com.ctc.igd1 -o /com/ctc/igd1/Info/WiFi -m com.ctc.igd1.WiFiInfo.ChannelCollectionRequest

2.4G，开始进行2.4G信道信息收集；

6.通过执行 gdbus call --system -d com.ctc.igd1 -o /com/ctc/igd1/Info/WiFi -m com.ctc.igd1.WiFiInfo.ChannelCollection

2.4G，获取2.4G信道排名；

实际结果：

无2.4G信道排名；

gdbus call --system -d com.ctc.igd1 -o /com/ctc/igd1/Info/WiFi -m com.ctc.igd1.WiFiInfo.ChannelCollection 2.4G

('', uint32 0, '')

预期结果:

能够获取到信道排名信息，网关当前信道为信道排名信息最优信道；

History

#1 - 04/08/2025 15:25 - chuanjia liu

- Status changed from New to Resolved

#2 - 04/14/2025 16:13 - 天驰 王

- Status changed from Resolved to Feedback

未选择最优信道 # # #

1. dbus-send --system --type=method_call --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Config/WLAN/Devices/1 com.ctc.igd1.Properties.Get

string:"com.ctc.igd1.WLANConfiguration" string:"ChannelInUse"

method return time=1744618317.877951 sender=:1.1 -> destination=:1.2130 serial=3219 reply_serial=2

variant       uint32 8 # # # # #

2. gdbus call --system -d com.ctc.igd1 -o /com/ctc/igd1/Info/WiFi -m com.ctc.igd1.WiFiInfo.ChannelCollectionRequest 2.4G

(uint32 0, 'none') # #

3. gdbus call --system -d com.ctc.igd1 -o /com/ctc/igd1/Info/WiFi -m com.ctc.igd1.WiFiInfo.ChannelCollection 2.4G

('1:58,2:68,3:71,4:69,5:70,6:60,7:63,8:61,9:61,10:67,11:60,12:68,13:63', uint32 0, '') # #

4. gdbus call --system -d com.ctc.igd1 -o /com/ctc/igd1/Info/WiFi -m com.ctc.igd1.WiFiInfo.ChannelSwitch 2.4G

(uint32 0, 'none') # #

5. dbus-send --system --type=method_call --print-reply --dest=com.ctc.igd1 /com/ctc/igd1/Config/WLAN/Devices/1 com.ctc.igd1.Properties.Get

string:"com.ctc.igd1.WLANConfiguration" string:"ChannelInUse"

method return time=1744618348.757729 sender=:1.1 -> destination=:1.2135 serial=3230 reply_serial=2

variant       uint32 8 # #
#3 - 04/14/2025 16:24 - 天驰 王

- Subject changed from 获取不到信道排名 to 未选择最优信道

#4 - 04/24/2025 10:45 - 天驰 王

- Status changed from Feedback to Closed
